incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From eric b <eric.bach...@free.fr>
Subject Re: issue 116680
Date Mon, 02 Apr 2012 18:59:08 GMT

Le 2 avr. 12 à 20:03, Simon Brouwer a écrit :

> Hi all,
>

Hi Simon,


> Is there anyone responsible for handling this issue: https:// 
> issues.apache.org/ooo/show_bug.cgi?id=116680 ?
>


I'm sorry, I can no longer connect to Bugzilla (my login password no  
longer works, and I don't know why).

So I need someone else to do it ... (see below)


> Its status is "accepted" but so far nothing seems to be done about  
> it. The upgrade to the newest version of Hunspell should be  
> relatively easy to do. It adds numerous features that are already  
> supported by the latest Dutch spell checking dictionaries from the  
> OpenTaal project. AFAIK LibreOffice already uses the newest Hunspell.



The one I propose is 1.3.1, but the idea is the same for the 1.3.1 ->  
1.3.2 switch.



> In my opinion it would be a lost opportunity if AOO 3.4 were  
> released without this update.
>


I replaced myself hunspell 1.2.8 or something with 1.3.1 in OOo4Kids  
and OOolight, including a hard to solve issue on Windows (link fails  
if not static IIRC). The code is mine, and I fixed everything myself  
(1.2.8 was very old). So I'm ok to backport the changes under Apache  
v2 license if people are interested (if I'm not wrong, I already  
proposed some times ago .. ).

Unfortunaly, my hard disk is close to be full, and I can't do it  
myself at the moment. Can someone take the task over please ?

Everything is there : http://ftp.educoo.org/home/ericb/patches/ 
apache_ooo/hunspell_1.3.1/
This patch allows to switch from 1.2.8 to 1.3.1 : http:// 
ftp.educoo.org/home/ericb/patches/apache_ooo/hunspell_1.3.1/ 
hunspell_1.3.1.diff

What is missing:  the md5 hash of the hunspell-1.3.1.tar.gz archive  
to be added + maybe some little part Apache OpenOffice specific.


At buildtime the patches below will be mandatory :

The libs.mk in solenv contains the new version number => mandatory
The changes to make it build on most of the OS : http:// 
ftp.educoo.org/home/ericb/patches/apache_ooo/hunspell_1.3.1/ 
hunspell-1.3.1.patch
The OpenBSD part (PATH issue) : http://ftp.educoo.org/home/ericb/ 
patches/apache_ooo/hunspell_1.3.1/hunspell-1.3.1-OpenBSD.patch


Hope this helps,
Eric


P.S. : you can extract the diff using the following magic formula (in  
a terminal ) :  for i in 1209 1210 1211 1218 1219 1243 1245 1246 ; do  
svn diff -r$(( i - 1 )):$(( i )) svn://svn.adullact.net/svnroot/ 
ooo4kids1/trunk >> hunspell_1.3.1.diff ; done

>

-- 
qɔᴉɹə
Projet OOo4Kids : http://wiki.ooo4kids.org/index.php/Main_Page
L'association EducOOo : http://www.educoo.org
Blog : http://eric.bachard.org/news






Mime
View raw message